Subject: Re: [Bitcoin-development] Determine input addresses of a transaction

From: Michael Hendricks <[email-masked]>
Date: Mon, 24 Oct 2011 11:14:09 -0600

On Mon, Oct 24, 2011 at 8:55 AM, Gavin Andresen <[email-masked]>wrote:

> If you assume the client has all previous transactions, then you could
> get the transaction input's prevout (from the memory pool or disk) and
> then ExtractAddress() from it. That is probably a bad idea for
> listtransactions, since fetching all the previous inputs from disk
> just so you can check to see if they're 'green' violates the "a
> feature shouldn't cost anything if it is not being used" design
> principle.
>

Are there current users of gettransaction for whom the performance penalty
would be problematic?  If so, perhaps gettransaction could take an optional
second argument includeinputaddresses which defaults to false.

-- 
Michael